package com.seeyon.apps.govdoc.util;

import java.util.HashSet;
import java.util.Set;

import com.seeyon.ctp.common.AppContext;
import com.seeyon.v3x.edoc.enums.EdocOpenFrom;

/**
 * 公文浏览权限工具类
 * 暂时只支持 openFrom = listCustom
 * @author chenx
 *
 */
public class GovdocAuthorityUtil {
	
	private static String SESSION_KEY_FRO_VIEW_AUTHORITY = "SESSION_KEY_FRO_VIEW_AUTHORITY";
	
	/**
	 * 添加当前人可查看得公文权限
	 * 在列表那边添加
	 * @param summaryId
	 * @param affairId
	 * @param openFrom
	 */
	public static void addSummaryForView(Long summaryId,Long affairId){
		//synchronized (AppContext.getCurrentUser()) {
		getSessionIdsSet().add(summaryId);
		//}
	}
	
	private static Set<Long> getSessionIdsSet(){
		Set<Long> summaryIdsSet = (Set<Long>) AppContext.getSessionContext(SESSION_KEY_FRO_VIEW_AUTHORITY);
		if (summaryIdsSet == null) {
			summaryIdsSet = new HashSet<Long>();
			AppContext.putSessionContext(SESSION_KEY_FRO_VIEW_AUTHORITY, summaryIdsSet);
		}
		return summaryIdsSet;
	}
	
	/**
	 * 暂时只支持 openFrom = listCustom
	 * @param summaryId
	 * @param affairId
	 * @param openFrom
	 * @return
	 */
	public static boolean canViewSummaryForId(Long summaryId,Long affairId,String openFrom){
		if(EdocOpenFrom.listCustom.name().equals(openFrom)){
			return getSessionIdsSet().contains(summaryId);
		}
		return false;
	}
}
